"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _helperPluginUtils = require("@babel/helper-plugin-utils");

var _default = (0, _helperPluginUtils.declare)((api, {
  version
}) => {
  api.assertVersion(7);

  if (typeof version !== "string" || version !== "apr-2020") {
    throw new Error("The 'moduleAttributes' plugin requires a 'version' option," + " representing the last proposal update. Currently, the" + " only supported value is 'apr-2020'.");
  }

  return {
    name: "syntax-module-attributes",

    manipulateOptions(opts, parserOpts) {
      parserOpts.plugins.push(["moduleAttributes", {
        version
      }]);
    }

  };
});

exports.default = _default;